Top 属性 (ActiveX)
指定工具栏的上边缘。 支持的平台:仅限 Windows 属性值只读:不 类型:整数 工具栏的上边缘。 言论没有其他评论。 例子VBA: Sub Example_Top() ' This example creates a new toolbar called and inserts a ' button into it. The toolbar is then displayed and the top ' position is returned. ' To remove the toolbar after execution of this macro, use the Customize Menu ' option from the Tools menu. Dim currMenuGroup As acadMenuGroup Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0) ' Create the new toolbar Dim newToolBar As AcadToolbar Set newToolBar = currMenuGroup.Toolbars.Add("TestToolbar") ' Add a button to the new toolbar. Dim newButton1 As AcadToolbarItem Dim openMacro As String ' Assign the macro string the VB equivalent of "ESC ESC _open " openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32) Set newButton1 = newToolBar.AddToolbarButton("", "NewButton1", "Open a file.", openMacro) ' Display the toolbar newToolBar.Visible = True 'Find the top position Dim currTop As Integer currTop = newToolBar.Top MsgBox "The current value of Top is " & newToolBar.Top, , "Top Example" ' Change the value of Top newToolBar.Top = currTop + 100 MsgBox "The new value of Top is " & newToolBar.Top, , "Top Example" ' Reset the value of Top newToolBar.Top = currTop MsgBox "The value of Top has been reset to " & newToolBar.Top, , "Top Example" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_Top() ;; This example creates a new toolbar called and inserts a ;; button into it. The toolbar is then displayed and the top ;; position is returned. ;; To remove the toolbar after execution of this macro, use the Customize Menu ;; option from the Tools menu. (setq acadObj (vlax-get-acad-object)) (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0)) ;; Create the new toolbar (setq newToolBar (vla-Add (vla-get-Toolbars currMenuGroup) "TestToolbar")) ;; Add a button to the new toolbar. ;; Assign the macro string the VB equivalent of "ESC ESC _open " (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32))) (setq newButton1 (vla-AddToolbarButton newToolBar "" "NewButton1" "Open a file." openMacro)) ;; Display the toolbar (vla-put-Visible newToolBar :vlax-true) ;; Find the top position (setq currTop (vla-get-Top newToolBar)) (alert (strcat "The current value of Top is " (itoa currTop))) ;; Change the value of Top (vla-put-Top newToolBar (+ currTop 100)) (alert (strcat "The new value of Top is " (itoa (vla-get-Top newToolBar)))) ;; Reset the value of Top (vla-put-Top newToolBar currTop) (alert (strcat "The value of Top has been reset to " (itoa (vla-get-Top newToolBar)))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 12:46
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.